Productsup
CDE APIApi referenceVersions

Show connector version secret registrations

Show list of secrets with fields registered on connector version.

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/secret-registrations

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/secret-registrations"
{
  "message": "successful operation",
  "resource": "secret-registration",
  "data": {
    "config": {
      "name": "REGISTERED_SECRETS",
      "description": "The environment variable `REGISTERED_SECRETS` is used to pass a JSON string containing registered secrets. This variable allows you to specify secrets that are required for the operation of the ProductsUp Connector."
    },
    "secrets": [
      {
        "google-io::shopping": {
          "id": "*****",
          "secret": "*****"
        }
      },
      {
        "amazon::seller": {
          "seller": "*****",
          "marketplace": "*****"
        }
      }
    ]
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?